Skip to main content
HTTP API

List tasks

Request parameters, responses and code examples.

GET
https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks
cURL
# Singapore (ap-southeast-1). For another region, replace ap-southeast-1 in the URL.
# API keys are region-specific. See https://docs.qwencloud.com/developer-guides/getting-started/regions
curl -X GET 'https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks/?start_time=xxx&end_time=xxx&status=xxx' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "total": 2,
  "data": [
    {
      "api_key_id": "15xxxx",
      "caller_parent_id": "xxxxxxxxx",
      "caller_uid": "xxxxxxxxx",
      "gmt_create": 1745568428109,
      "model_name": "wanx2.1-kf2v-plus",
      "region": "ap-southeast-1",
      "request_id": "1abfc3c8-dd25-98da-ad0b-xxxxxx",
      "start_time": 1745568428138,
      "status": "RUNNING",
      "task_id": "50e2ccea-abc4-43d7-a0dc-xxxxxx",
      "user_api_unique_key": "apikey:v1:aigc:image2video:video-synthesis:wanx2.1-kf2v-plus"
    },
    {
      "api_key_id": "15xxxx",
      "caller_parent_id": "xxxxxxxxx",
      "caller_uid": "xxxxxxxxx",
      "end_time": 1745568302481,
      "gmt_create": 1745568293253,
      "model_name": "wanx2.1-t2i-turbo",
      "region": "ap-southeast-1",
      "request_id": "f6bf34d9-bf87-9e8b-9ed4-xxxxxx",
      "start_time": 1745568293273,
      "status": "SUCCEEDED",
      "task_id": "3c777dbc-8cc6-4d80-aa90-xxxxxx",
      "user_api_unique_key": "apikey:v1:aigc:text2image:image-synthesis:wanx2.1-t2i-turbo"
    }
  ],
  "total_page": 1,
  "page_no": 1,
  "request_id": "f6756b7e-d0bb-9b74-813a-xxxxxx",
  "page_size": 10
}
See the complete workflow and descriptions in Manage asynchronous tasks.

Authorizations

string
header
required

Query Parameters

string

Query start time in the format YYYYMMDDhhmmss. Defaults to 24 hours before end_time (if end_time is specified), or to the last 24 hours (if neither time is specified). Maximum range: 24 hours.

string

Query end time in the format YYYYMMDDhhmmss. Defaults to 24 hours after start_time (if start_time is specified). Maximum range: 24 hours.

string

The task status:

PENDING

RUNNING

SUCCEEDED

FAILED

CANCELED

UNKNOWN

integer
default1

The page number of the results to return. Default: 1.

integer
default10

The number of entries per page. Default: 10.

string

The task ID to query. Specify a task_id to return only that task's status, or omit it to query multiple tasks.

string

The model name.

Response

200-application/json
integer

The total number of entries.

object[]

A list of query results.

integer

The total number of pages.

integer

The current page number.

string

The unique ID for this request.

integer

The number of entries per page.

string

The error code returned when the call fails.

string

The error message returned when the call fails.